Bug 129378 - clock_* syscalls printed with numeric clock ID
clock_* syscalls printed with numeric clock ID
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: strace (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Roland McGrath
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-07 04:11 EDT by Ulrich Drepper
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 4.5.7-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-14 22:48:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to print clock IDs by name (1.10 KB, patch)
2004-08-07 04:12 EDT, Ulrich Drepper
no flags Details | Diff

  None (edit)
Description Ulrich Drepper 2004-08-07 04:11:35 EDT
Description of problem:
The clock IDs passed to the clock_* syscalls should be printed using
the names CLOCK_*, not numerically.

Version-Release number of selected component (if applicable):
4.5.6-1

How reproducible:
Run strace on any code using clock_* syscalls, e.g., the
nptl/tst-cond11 test in glibc.

Steps to Reproduce:
1.build glibc and run make check
2.strace elf/ld.so --library-path .:nptl nptl/tst-cond11 --direct
3.
  
Actual results:
clock_gettime(0, {1091866362, 182117000}) = 0


Expected results:
clock_gettime(CLOCK_REALTIME, {1091866373, 47526000}) = 0


Additional info:
I'll attach a patch.
Comment 1 Ulrich Drepper 2004-08-07 04:12:17 EDT
Created attachment 102493 [details]
Patch to print clock IDs by name
Comment 2 Roland McGrath 2004-08-31 02:49:23 EDT
Patch in upstream.
Comment 3 Roland McGrath 2004-08-31 21:59:06 EDT
4.5.7-2 is in rawhide.  I'll make an FC2 update release in a few days.
Comment 4 Ulrich Drepper 2004-10-14 22:48:09 EDT
Verified.
Comment 5 Tim Powers 2005-05-19 17:09:57 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-131.html

Note You need to log in before you can comment on or make changes to this bug.